Functions
Functions
BLE » Light Communication Protocol (LCP)

## Functions
uint16_t | gdx_lcp_init (gdx_lcp_config_t *gdx_lcp_config)
| Initialize LCP. More...
void | gdx_lcp_deinit (void)
| Deinitialize LCP. More...
void | gdx_lcp_timer_binding (bool b_dual_timer, uint8_t timer_id)
uint16_t | gdx_lcp_tx_power_set (int8_t txpwr_dbm)
| Set the tx power of LCP. More...
uint16_t | gdx_lcp_tx_power_get (int8_t *txpwr_dbm)
| Get the tx power of LCP. More...
uint16_t | gdx_lcp_channel_set (uint32_t freq_mhz)
| Set the channel of LCP. More...
uint16_t | gdx_lcp_channel_get (uint32_t *freq_mhz)
| Get the channel of LCP. More...
uint16_t | gdx_lcp_access_address_set (uint32_t access_address)
| Set lcp access address. More...
int8_t | gdx_lcp_rssi_get (void)
| Get lcp rssi. More...
void | gdx_lcp_rx_window_size_set (uint32_t time_us)
| Set LCP rx windows size. More...
void | gdx_lcp_rx_oneshot_mode_set (bool enable)
| Rx oneshot mode enable or disable. More...
void | gdx_lcp_auto_txrx_mode_set (bool enable)
| Auto TXRX mode enable or disable. More...
uint16_t | gdx_lcp_data_tx (uint8_t header, uint8_t length, uint8_t *p_payload)
| Transmmit a packet. More...
uint16_t | gdx_lcp_rx_start (void)
| Start receiving packets. More...
uint16_t | gdx_lcp_whitening_seed_set (uint8_t whitening_seed)
uint16_t | gdx_lcp_rx_stop (void)
| Stop receiving packets. More...
void | gdx_lcp_t2r_turn_around_time_adjust (uint8_t added_us)
void | gdx_lcp_r2t_turn_around_time_adjust (uint8_t added_us)

## Detailed Description

## Function Documentation

## ◆ gdx_lcp_access_address_set()

uint16_t gdx_lcp_access_address_set | ( | uint32_t | access_address | ) |

Set lcp access address.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_auto_txrx_mode_set()

void gdx_lcp_auto_txrx_mode_set | ( | bool | enable | ) |

Auto TXRX mode enable or disable.

Parameters

  [in] | enable | enable auto txrx or disable txrx to sw tx rx.

## ◆ gdx_lcp_channel_get()

uint16_t gdx_lcp_channel_get | ( | uint32_t * | freq_mhz | ) |

Get the channel of LCP.

Parameters

  [in] | freq_mhz | The value of the frequency, Range: 2360MHz to 2520MHz.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.

## ◆ gdx_lcp_channel_set()

uint16_t gdx_lcp_channel_set | ( | uint32_t | freq_mhz | ) |

Set the channel of LCP.

Parameters

  [in] | freq_mhz | The value of the frequency, Range: 2360MHz to 2520MHz. 2M per step

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_data_tx()

uint16_t gdx_lcp_data_tx | ( | uint8_t | header,
|  | uint8_t | length,
|  | uint8_t * | p_payload
| ) |  |

Transmmit a packet.

Parameters

  [in] | header | The header of the packet.
  [in] | length | The length of the packet payload.
  [in] | p_payload | The pointer of the packet payload.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_deinit()

void gdx_lcp_deinit | ( | void |  | ) |

Deinitialize LCP.

Return values

  SDK_SUCCESS | The LCP is successfully Deinitialized.

## ◆ gdx_lcp_init()

uint16_t gdx_lcp_init | ( | gdx_lcp_config_t * | gdx_lcp_config | ) |

Initialize LCP.

Parameters

  [in] | gdx_lcp_config | Configure the parameter of LCP, gdx_lcp_config_t.

Return values

  SDK_SUCCESS | The LCP parameter is successfully configured.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_r2t_turn_around_time_adjust()

void gdx_lcp_r2t_turn_around_time_adjust | ( | uint8_t | added_us | ) |

## ◆ gdx_lcp_rssi_get()

int8_t gdx_lcp_rssi_get | ( | void |  | ) |

Get lcp rssi.

Returns
  Rssi value.

## ◆ gdx_lcp_rx_oneshot_mode_set()

void gdx_lcp_rx_oneshot_mode_set | ( | bool | enable | ) |

Rx oneshot mode enable or disable.

Parameters

  [in] | enable | enable oneshot or disable oneshot.

## ◆ gdx_lcp_rx_start()

uint16_t gdx_lcp_rx_start | ( | void |  | ) |

Start receiving packets.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_rx_stop()

uint16_t gdx_lcp_rx_stop | ( | void |  | ) |

Stop receiving packets.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_rx_window_size_set()

void gdx_lcp_rx_window_size_set | ( | uint32_t | time_us | ) |

Set LCP rx windows size.

Parameters

  [in] | time_us | the windows size of rx.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_t2r_turn_around_time_adjust()

void gdx_lcp_t2r_turn_around_time_adjust | ( | uint8_t | added_us | ) |

## ◆ gdx_lcp_timer_binding()

void gdx_lcp_timer_binding | ( | bool | b_dual_timer,
|  | uint8_t | timer_id
| ) |  |

## ◆ gdx_lcp_tx_power_get()

uint16_t gdx_lcp_tx_power_get | ( | int8_t * | txpwr_dbm | ) |

Get the tx power of LCP.

Parameters

  [in] | txpwr_dbm | The value of the tx power, Range: -20dbm to 7dbm.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.

## ◆ gdx_lcp_tx_power_set()

uint16_t gdx_lcp_tx_power_set | ( | int8_t | txpwr_dbm | ) |

Set the tx power of LCP.

Parameters

  [in] | txpwr_dbm | The value of the tx power, Range: -20dbm to 7dbm.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_whitening_seed_set()

uint16_t gdx_lcp_whitening_seed_set | ( | uint8_t | whitening_seed | ) |